#!/bin/bash

# Figure out the user's machine architecture and launch the correct executable
# Now with command line argument passthrough /Johan

MACHINE=`uname -m`
if [ "$MACHINE" = "x86_64" ]; then
    BIN=./dom3_amd64
else
    BIN=./dom3_x86
fi

DIR="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR
"$BIN" "$@"
